#!/usr/bin/make -f
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) gitclean

override_dh_install:
	#Fix libdir in *.la files (Closes: #684443)
	find debian/rep-gtk -name '*.la' |\
	 while read file; do\
	  DIRNAME=$$(dirname $$file | sed 's@debian/tmp@@');\
	  sed -i "/libdir/ s@^.*@libdir=$$DIRNAME@" $$file;\
	 done
	#... and remove dependency_libs
	find debian/rep-gtk -name '*.la' |\
	 while read file; do\
	  sed -i "/dependency_libs/ s/'.*'/''/" $$file;\
	 done
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installexamples:
	dh_installexamples examples/*
